Subject: Re: bug#76494: [PATCH] Highlight fill-column-indicator when current line is longer than `fill-column'

From: Elijah Gabe Pérez <[email-masked]>
Date: Mon, 24 Feb 2025 21:32:29 -0600

Eli Zaretskii <[email-masked]> writes:

> There might be some misunderstanding: using setq-local makes the
> character local to a buffer, whereas I thought you wanted to use a
> special character only for the lines that exceed the fill-column?

Even if I wanted to, that wouldn't be possible because of the way
display-fill-column-indicator is designed.

> When I use your code, then whenever I'm on a line that is too long,
> _all_ the fill-column indicators in the window change into the U+2503
> character shown in red, not just the indicator of that single line.

Yeah, that's correct, affects the entire indicator.

something like this:

                                           │
                                           │
                                           │
(print "..|........................")      │
          ^ (cursor)                       │
(print "---")                              │
                                           │
                                 indicator ^

                                           ┃
                                           ┃
                                           ┃
(print "...............|........................")
                       ^ (cursor)          ┃
(print "---")                              ┃
                                           ┃
                                 indicator ^

                                           │
                                           │
                                           │
(print ".......................................")
                                           │
(print "---")|                             │
             ^ (cursor)                    │
                                 indicator ^

-- 
                                                   - E.G via GNU Emacs.